Bug 450493 - Can't write to USB memory programmatically (but can from the console)
Can't write to USB memory programmatically (but can from the console)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 03:25 EDT by Mark Summerfield
Modified: 2008-07-03 11:56 EDT (History)
0 users

See Also:
Fixed In Version: 2.6.25.9-40.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 23:15:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Summerfield 2008-06-09 03:25:59 EDT
I have a standard Fedora 8 system which I keep up to date whenever the update
manager says there are updates. When I updated last I got a new kernel:
2.6.25.4-10.fc8

When I run my custom backup program it fails to write to my USB memory sticks
giving "Operation not permitted" error messages.
When I use cp at the console I can copy the backup files to my USB memory sticks
without any problems.

If I reboot and use the old kernel, 2.6.24.7-92.fc8, everything works fine.

(PS I don't think it is an SELinux problem. I have that set to permissive but
retried with it disabled and neither setting made a difference.)
Comment 1 Chuck Ebbert 2008-06-11 18:01:59 EDT
bug 449080 in F9
Comment 2 Chuck Ebbert 2008-06-15 17:20:38 EDT
Fix went in 2.6.25.6-30
Comment 3 Fedora Update System 2008-06-30 12:37:06 EDT
kernel-2.6.25.9-40.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-07-01 01:25:41 EDT
kernel-2.6.25.9-40.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5880
Comment 5 Fedora Update System 2008-07-02 23:14:54 EDT
kernel-2.6.25.9-40.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Mark Summerfield 2008-07-03 02:00:00 EDT
I don't know how to get that kernel. Here's what yum says:
: yum list "kernel*"
Installed Packages
kernel.i686                              2.6.25.6-27.fc8        installed
kernel.i686                              2.6.24.7-92.fc8        installed
kernel-headers.i386                      2.6.25.6-27.fc8        installed
Available Packages
kernel.i586                              2.6.25.6-27.fc8        updates
kernel-PAE.i686                          2.6.25.6-27.fc8        updates
kernel-PAE-debug.i686                    2.6.25.6-27.fc8        updates
kernel-PAE-debug-devel.i686              2.6.25.6-27.fc8        updates
kernel-PAE-devel.i686                    2.6.25.6-27.fc8        updates
kernel-debug.i686                        2.6.25.6-27.fc8        updates
kernel-debug-devel.i686                  2.6.25.6-27.fc8        updates
kernel-devel.i586                        2.6.25.6-27.fc8        updates
kernel-devel.i686                        2.6.25.6-27.fc8        updates
kernel-doc.noarch                        2.6.25.6-27.fc8        updates
kernel-xen.i686                          2.6.21.7-3.fc8         updates
kernel-xen-2.6-doc.noarch                2.6.21.7-3.fc8         updates
kernel-xen-devel.i686                    2.6.21.7-3.fc8         updates
Comment 7 Mark Summerfield 2008-07-03 11:56:15 EDT
I just got an update message and updated my kernel so now I have 2.6.25.9-40.fc8.
After rebooting I got the same scary USB messages (which I don't get with
2.6.24* but did get with 2.6.25.6*):

hub 1-0:1.0: unable to enumerate USB device on port 3
hub 1-0:1.0: unable to enumerate USB device on port 6
hub 1-0:1.0: unable to enumerate USB device on port 8

but despite those messages, everything now seems to work fine!

Thanks!

Note You need to log in before you can comment on or make changes to this bug.